Bug 596961 - Partition device nodes not showing up
Partition device nodes not showing up
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
12
powerpc Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-27 16:15 EDT by James
Modified: 2010-12-03 09:16 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 09:16:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James 2010-05-27 16:15:08 EDT
Description of problem:
Using a PCI SATA card in a PowerMac G4. The device nodes (sda, sdb, etc) show up alright, however the device nodes for partitions do not show up. Running fdisk and simply writing the existing partition table makes the device nodes show up/work. Driver: sata_mv

Version-Release number of selected component (if applicable):
2.6.32.12-115.fc12.ppc

How reproducible:
Happens every boot

Steps to Reproduce:
1. Boot the machine
2. Partition device nodes do not exist
3.
  
Actual results:
/dev/sda through /dev/sdd exist, but /dev/sda1 and such do not. 

Expected results:
/dev/sdaX device nodes existing.

Additional info:
Linux izumi.sokudo.us 2.6.32.12-115.fc12.ppc #1 Fri Apr 30 19:26:31 UTC 2010 ppc ppc ppc GNU/Linux

sata_mv 0001:10:12.0: version 1.28
sata_mv 0001:10:12.0: enabling device (0014 -> 0017)
sata_mv 0001:10:12.0: Gen-II 32 slots 8 ports SCSI mode IRQ via INTx

ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
ata2: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
ata3: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
ata4: SATA link up 3.0 Gbps (SStatus 123 SControl 300)

Upon fdisk
 sda: sda1 sda2 sda3 sda4 < sda5 >
 sdc: sdc1 sdc2 sdc3 sdc4 < sdc5 >
Comment 1 Bug Zapper 2010-11-03 09:59:42 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-12-03 09:16:24 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.